summaryrefslogtreecommitdiffstats
path: root/source/l/aspell/aspell.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/aspell/aspell.SlackBuild')
-rwxr-xr-xsource/l/aspell/aspell.SlackBuild33
1 files changed, 23 insertions, 10 deletions
diff --git a/source/l/aspell/aspell.SlackBuild b/source/l/aspell/aspell.SlackBuild
index 71c814616..02cd5a4d8 100755
--- a/source/l/aspell/aspell.SlackBuild
+++ b/source/l/aspell/aspell.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=aspell
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -51,7 +60,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-aspell
@@ -70,7 +78,7 @@ find . \
-exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -fpermissive" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -80,17 +88,22 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-data-dir=/usr/lib${LIBDIRSUFFIX}/aspell \
--enable-pkglibdir=/usr/lib${LIBDIRSUFFIX}/aspell \
--enable-dict-dir=/usr/lib${LIBDIRSUFFIX}/aspell \
- --build=$ARCH-slackware-linux
-make $NUMJOBS || exit 1
-make install
-ldconfig
-make install DESTDIR=$PKG
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
( cd $PKG
find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
+
## This looks like crap clutter to me
## ... turns out to be required. How ugly...
#rm -f $PKG/usr/bin/pre*
+
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
gzip -9 $PKG/usr/man/man?/*.?